#include "lighingenv.h"
#include "imgui/imgui.h"
#include "texture.h"
#include <glm/ext.hpp>

LighingEnv::LighingEnv()
{

}

void LighingEnv::gui()
{
    ImGui::Checkbox("Fog", &m_hasFog);
    if(m_hasFog)
    {
        ImGui::SliderFloat("Fog density", &m_fogDensity, 0, 10000, "%.3f", 10.f);
        ImGui::ColorEdit3("Fog color", glm::value_ptr(m_fogColor));
        ImGui::Checkbox("Ground fog", &m_isGroundFog);
        if(m_isGroundFog)
        {
            ImGui::SliderFloat("Ground fog floor", &m_fogFloor, -1000, 1000);
            ImGui::SliderFloat("Ground fog ceiling", &m_fogCeiling, -1000, 1000);
        }
    }
}
